This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 125605 - Bringing bluetooth device up and down makes it unusable untill the next reboot
Bringing bluetooth device up and down makes it unusable untill the next reboot
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: bluez-utils (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-09 05:32 EDT by x1
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-02 06:41:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description x1 2004-06-09 05:32:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
hardware: Sony Vaio Z1VA with built in bluetooth device (hci_usb).

localhost# hciconfig hci0 up // works fine
localhost# hciconfig
hci0:   Type: USB
        BD Address: 08:00:46:B9:C3:36 ACL MTU: 192:8  SCO MTU: 64:8
        UP RUNNING PSCAN ISCAN AUTH ENCRYPT
        RX bytes:89 acl:0 sco:0 events:11 errors:0
        TX bytes:290 acl:0 sco:0 commands:11 errors:0
localhost# hciconfig hci0 down 
localhost# hciconfig hci0 up
Can't init device hci0. Connection timed out(110)

AFTER THIS BLUETOOTH IS UNUSABLE UNTILL I REBOOT :-(

Version-Release number of selected component (if applicable):
bluez-utils-2.4-3, kernel-2.6.5-1.358

How reproducible:
Always

Steps to Reproduce:
1. hciconfig hci0 up
2. hciconfig hci0 down 
3. hciconfig hci0 up
    

Actual Results:  Can't init device hci0. Connection timed out(110)

BT is unusable

Expected Results:  BT should work again

Additional info:

Could be related to
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=125604
Comment 1 Bastien Nocera 2004-09-02 12:56:36 EDT
Is it fixed in the 2.6.6-1.427 kernel or above?
Comment 2 David Woodhouse 2005-03-02 06:41:28 EST
Closing. Please re-open if it still happens with the current kernel.

Note You need to log in before you can comment on or make changes to this bug.